Bug 187714 - apidoc are missing
Summary: apidoc are missing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-03 04:16 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 18:37:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2006-04-03 04:16:23 UTC
Description of problem:
Rpm's apidocs are missing. 

The rpm-devel rpm is shipped with a an empty
/usr/share/doc/rpm-devel-<version>/apidocs directory.

Version-Release number of selected component (if applicable):
4.4.2-15.2 and earlier, seemingly at least comprizing fc4.

Expected results:
Shipping the docs.

Comment 1 Jeff Johnson 2006-04-04 11:38:45 UTC
Later versions of rpm contain the apidocs, which are also online
at http://wraptastic.org.

Comment 2 Ralf Corsepius 2006-04-04 13:08:55 UTC
(In reply to comment #1)
> Later versions of rpm contain the apidocs, which are also online
> at http://wraptastic.org.

Do you find this answer appropriate?

This PR is on a packaging bug in FC4 and FC5, which even your last week's rpm
update failed to fix. 

Also, the apidocs on rpm.org do not point to a current version.

I.e. this packaging bug in FC has not been fixed.

Comment 3 Jeff Johnson 2006-04-12 17:55:03 UTC
Yes I find this answer appropriate for someone requesting rpm doco.

The apidocs in rpm-devel-4.4.6-1 are uptodate, and easily extracted
for whatever purpose you wish.

But if you want to wait on FC4 and FC5 and FC6 fixing, be my guest ...

Comment 4 Paul Nasrat 2006-04-12 18:00:00 UTC
Jeff, whilst I appreciate your ongoing work on bugs and new features in upstream
RPM, and CLOSED>UPSTREAM being a valid state for some of the bugs in bugzilla
things like this which are specifically aimed at Fedora or RHEL aren't really
resolved by that state.  I'm reopening so it remains on my list.


Note You need to log in before you can comment on or make changes to this bug.